CertificateStatusRequest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class CertificateStatusRequest

- java.lang.Object
- - org.bouncycastle.crypto.tls.CertificateStatusRequest

-     public class CertificateStatusRequest
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `request`
    `protected short` | `statusType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateStatusRequest(short statusType, java.lang.Object request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `CertificateStatusRequest` to an `OutputStream`.
    `OCSPStatusRequest` | `getOCSPStatusRequest()`
    `java.lang.Object` | `getRequest()`
    `short` | `getStatusType()`
    `protected static boolean` | `isCorrectType(short statusType, java.lang.Object request)`
    `static CertificateStatusRequest` | `parse(java.io.InputStream input)` Parse a `CertificateStatusRequest` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statusType

          protected short statusType

    - #### request

          protected java.lang.Object request

  - ### Constructor Detail

    - #### CertificateStatusRequest

          public CertificateStatusRequest(short statusType,
                                  java.lang.Object request)

  - ### Method Detail

    - #### getStatusType

          public short getStatusType()

    - #### getRequest

          public java.lang.Object getRequest()

    - #### getOCSPStatusRequest

          public OCSPStatusRequest getOCSPStatusRequest()

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `CertificateStatusRequest` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static CertificateStatusRequest parse(java.io.InputStream input)
                                                throws java.io.IOException

      Parse a `CertificateStatusRequest` from an `InputStream`.
      Parameters:
        `input` - the `InputStream` to parse from.
      Returns:
        a `CertificateStatusRequest` object.
      Throws:
        `java.io.IOException`

    - #### isCorrectType

          protected static boolean isCorrectType(short statusType,
                              java.lang.Object request)